Loading...
Searching...
No Matches
gtsam::SlotEntry Struct Reference

## Detailed Description

One SlotEntry stores the slot index for a variable, as well its dim.

## Public Member Functions

| SlotEntry (Key _key, size_t _dimension)
std::string | toString () const

## Static Public Member Functions

static bool | Zero (const SlotEntry &p)

## Public Attributes

Key | key
size_t | dimension

## Friends

bool | operator< (const SlotEntry &p, const SlotEntry &q)

The documentation for this struct was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/Scatter.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/Scatter.cpp